# Solo to Team
execute @p ~ ~ ~ detect -62 184 -581 lever 12 execute @p ~ ~ ~ detect -74 151 -579 air 0 function team_mode

# Team to Solo
execute @p ~ ~ ~ detect -62 184 -581 lever 4 execute @p ~ ~ ~ detect -74 151 -579 bedrock 0 function solo_mode

# Starters
execute @p ~ ~ ~ detect -62 184 -581 lever 4 execute @p ~ ~ ~ detect -54 184 -570 stone_button 10 function solo_start

execute @p ~ ~ ~ detect -62 184 -581 lever 12 execute @p ~ ~ ~ detect -54 184 -570 air -1 execute @p ~ ~ ~ detect -75 184 -570 air -1 function start_countdown

execute @p ~ ~ ~ detect -62 184 -581 lever 12 execute @p ~ ~ ~ detect -54 184 -570 stone_button 10 function left_ready
execute @p ~ ~ ~ detect -62 184 -581 lever 12 execute @p ~ ~ ~ detect -75 184 -570 stone_button 10 function right_ready

# Add To Teams
execute @p ~ ~ ~  detect -74 151 -579 bedrock -1 execute @p[r=2,x=-54,y=183,z=-571,tag=!left] ~ ~ ~ titleraw @s actionbar  {"rawtext":[{"text":"§l§cJoined Red Team"}]}
execute @p ~ ~ ~  detect -74 151 -579 bedrock -1 execute @p[r=2,x=-54,y=183,z=-571] ~ ~ ~ tag @s remove right
execute @p ~ ~ ~  detect -74 151 -579 bedrock -1 execute @p[r=2,x=-54,y=183,z=-571] ~ ~ ~ tag @s add left

execute @p ~ ~ ~  detect -74 151 -579 bedrock -1 execute @p[r=2,x=-75,y=183,z=-571,tag=!right] ~ ~ ~ titleraw @s actionbar  {"rawtext":[{"text":"§l§bJoined Blue Team"}]}
execute @p ~ ~ ~  detect -74 151 -579 bedrock -1 execute @p[r=2,x=-75,y=183,z=-571] ~ ~ ~ tag @s remove left
execute @p ~ ~ ~  detect -74 151 -579 bedrock -1 execute @p[r=2,x=-75,y=183,z=-571] ~ ~ ~ tag @s add right

execute @p ~ ~ ~ detect -51 184 -589 stone_button 12 tellraw @a {"rawtext":[{"text":"§lGeneral Information"}]}
execute @p ~ ~ ~ detect -51 184 -589 stone_button 12 tellraw @a {"rawtext":[{"text":"Across the globe, people face terrible acts of violence and inequality, in extreme cases even torture and execution, because of who they love, how they look, or who they are. Sexual orientation and gender identity are crucial aspects of our lives and should never lead to discrimination or abuse."}]}
execute @p ~ ~ ~ detect -51 184 -589 stone_button 12 tellraw @a {"rawtext":[{"text":"Pride month is about recognizing that this injustice exists within the world and promoting equality. By combining our voices and publicly denouncing hatred and bigotry against the LGBTQIA+ community, we can work towards the goal of creating a world free of injustice for future generations."}]}
execute @p ~ ~ ~ detect -51 184 -589 stone_button 12 setblock -51 184 -589 stone_button 4

execute @p ~ ~ ~ detect -67 184 -581 stone_button 10 tellraw @a {"rawtext":[{"text":"§lHow to Play"}]}
execute @p ~ ~ ~ detect -67 184 -581 stone_button 10 tellraw @a {"rawtext":[{"text":"§l§6Single-Side Mode: "},{"text":"§rCollect the wool for your pride flag as fast as possible"}]}
execute @p ~ ~ ~ detect -67 184 -581 stone_button 10 tellraw @a {"rawtext":[{"text":"§l§dTeam Mode: "},{"text":"§rCollect the wool for your pride flag before the other team"}]}
execute @p ~ ~ ~ detect -67 184 -581 stone_button 10 setblock -67 184 -581 stone_button 2

execute @p ~ ~ ~ detect -51 184 -587 stone_button 12 tellraw @a {"rawtext":[{"text":"§l§4G§6a§ey §2P§1r§9i§5d§4e §6F§el§2a§1g"}]}
execute @p ~ ~ ~ detect -51 184 -587 stone_button 12 tellraw @a {"rawtext":[{"text":"This is the most known flag. It represents the diversity of gays and lesbians around the world. In 1979, the community landed on this six-color version, which was hung from lampposts in San Francisco to celebrate gay pride."}]}
execute @p ~ ~ ~ detect -51 184 -587 stone_button 12 setblock -51 184 -587 stone_button 4

execute @p ~ ~ ~ detect -51 184 -585 stone_button 12 tellraw @a {"rawtext":[{"text":"§l§5Le§dsb§fi§6an"}]}
execute @p ~ ~ ~ detect -51 184 -585 stone_button 12 tellraw @a {"rawtext":[{"text":"The dark orange representing gender non-conformity, orange for independence, light orange for community, white for unique relationships to womanhood, pink for 'serenity and peace,' dusty pink for 'love and sex,' and dark rose for femininity. The flag was also meant to include trans women."}]}
execute @p ~ ~ ~ detect -51 184 -585 stone_button 12 setblock -51 184 -585 stone_button 4

execute @p ~ ~ ~ detect -51 184 -583 stone_button 12 tellraw @a {"rawtext":[{"text":"§l§bTran§fsge§dnder"}]}
execute @p ~ ~ ~ detect -51 184 -583 stone_button 12 tellraw @a {"rawtext":[{"text":"The light blue is the traditional color for baby boys, pink is for girls, and the white in the middle is for those who are transitioning, those who feel they have a neutral gender or no gender, and those who are intersex. The pattern is such that no matter which way you fly it, it will always be correct."}]}
execute @p ~ ~ ~ detect -51 184 -583 stone_button 12 setblock -51 184 -583 stone_button 4

execute @p ~ ~ ~ detect -51 184 -581 stone_button 12 tellraw @a {"rawtext":[{"text":"§l§dBis§5ex§9ual"}]}
execute @p ~ ~ ~ detect -51 184 -581 stone_button 12 tellraw @a {"rawtext":[{"text":"The flag brings visibility to the bisexual community, showing the overlap of the stereotypical colors for boys and girls. The top of the flag is 40% magenta, the middle is 20% lavender, and the bottom is 40% is royal blue. The Magenta represents same-sex attraction, the blue represents heterosexual attraction, and the lavender, which is a mix of both colors, represents attraction to both genders."}]}
execute @p ~ ~ ~ detect -51 184 -581 stone_button 12 setblock -51 184 -581 stone_button 4

execute @p ~ ~ ~ detect -51 184 -579 stone_button 12 tellraw @a {"rawtext":[{"text":"§l§8As§7ex§fu§5al"}]}
execute @p ~ ~ ~ detect -51 184 -579 stone_button 12 tellraw @a {"rawtext":[{"text":"The Asexual flag represents many ace identities, including graysexuals (the fluid area between sexuals and asexuals) and demisexuals (people who don't experience sexual attraction unless they have an emotional connection with their partners.)"}]}
execute @p ~ ~ ~ detect -51 184 -579 stone_button 12 setblock -51 184 -579 stone_button 4

execute @p ~ ~ ~ detect -78 184 -589 stone_button 13 tellraw @a {"rawtext":[{"text":"§l§dGen§fd§5er§0fl§1uid"}]}
execute @p ~ ~ ~ detect -78 184 -589 stone_button 13 tellraw @a {"rawtext":[{"text":"Encompassing the fluctuations and the flexibility of gender in genderfluid people, the flag features colors associated with femininity, masculinity, and everything in between. The pink stands for femininity. The white represents the lack of gender. The purple represents the combination of masculinity and femininity. The black symbolizes all genders, including third genders. The blue reflects masculinity."}]}
execute @p ~ ~ ~ detect -78 184 -589 stone_button 13 setblock -78 184 -589 stone_button 5

execute @p ~ ~ ~ detect -78 184 -587 stone_button 13 tellraw @a {"rawtext":[{"text":"§l§bPan§esex§dual"}]}
execute @p ~ ~ ~ detect -78 184 -587 stone_button 13 tellraw @a {"rawtext":[{"text":"The Pansexual flag has colors that represent pansexuality's interest in all genders as partners. The pink represents women, yellow nonbinary and gender-nonconforming people, and the blue is for men."}]}
execute @p ~ ~ ~ detect -78 184 -587 stone_button 13 setblock -78 184 -587 stone_button 5

execute @p ~ ~ ~ detect -78 184 -585 stone_button 13 tellraw @a {"rawtext":[{"text":"§l§eNo§fnb§5in§0ary"}]}
execute @p ~ ~ ~ detect -78 184 -585 stone_button 13 tellraw @a {"rawtext":[{"text":"This flag was a response to nonbinary people feeling improperly represented by the genderqueer flag. The yellow symbolizes gender outside a binary. The white, a mix of all colors, represents those with many or all genders. Purple stands in for those who feel both binary male and female or fluid between them. The black is for the agender community, without sexuality or color."}]}
execute @p ~ ~ ~ detect -78 184 -585 stone_button 13 setblock -78 184 -585 stone_button 5

execute @p ~ ~ ~ detect -78 184 -583 stone_button 13 tellraw @a {"rawtext":[{"text":"§l§dGend§ferqu§2eer"}]}
execute @p ~ ~ ~ detect -78 184 -583 stone_button 13 tellraw @a {"rawtext":[{"text":"Created in 2011 by Marilyn Roxie, the genderqueer flag highlights androgyny with lavender, agender identities with white, and nonbinary people with green. Some people refer to it as a nonbinary flag if they feel queer is a slur."}]}
execute @p ~ ~ ~ detect -78 184 -583 stone_button 13 setblock -78 184 -583 stone_button 5

execute @p ~ ~ ~ detect -78 184 -581 stone_button 13 tellraw @a {"rawtext":[{"text":"§l§dPoly§asex§3ual"}]}
execute @p ~ ~ ~ detect -78 184 -581 stone_button 13 tellraw @a {"rawtext":[{"text":"Polysexuality, unlike pansexuality, is the attraction to multiple genders but not all. A middle ground between bisexuality and pansexuality is centered more on attraction to femininity and masculinity rather than gender. The pink represents attraction to females; the blue for males. The green is for an attraction to those who don't conform to either gender."}]}
execute @p ~ ~ ~ detect -78 184 -581 stone_button 13 setblock -78 184 -581 stone_button 5

execute @p ~ ~ ~ detect -78 184 -579 stone_button 13 tellraw @a {"rawtext":[{"text":"§l§0Ag§8en§fd§aer"}]}
execute @p ~ ~ ~ detect -78 184 -579 stone_button 13 tellraw @a {"rawtext":[{"text":"While genderqueer people bend the rules of gender, agender people reject a gender completely. For their flag, the black and white stripes represent the absence of gender, while green, the inverse of the gender-heavy purple, represents nonbinary genders."}]}
execute @p ~ ~ ~ detect -78 184 -579 stone_button 13 setblock -78 184 -579 stone_button 5